//CFTTRandom - [2020-04-13 11:57:46]
#ifndef _CFTTRANDOM_H_
#define _CFTTRANDOM_H_

#include <stdio.h>
#include <stdlib.h>
#include "CFTTRandomNumberGenerator.h"

/*
00123EF8 CFTTRandom::GetFloat(float,float)
001F7930 CFTTRandom::GetInt(int,int)
001CAD8C CFTTRandom::GetInt()
0026763C CFTTRandom::Initialise(uint)
001CAD78 CFTTRandom::Seed(uint)
00267664 CFTTRandom::Shutdown()
*/

class CFTTRandom {
public:
  static float GetFloat(float a1, float a2);  //00123EF8
  static int GetInt(int, int);                //001F7930
  static int GetInt();                        //001CAD8C
  static void Initialise(uint);               //0026763C
  static void Seed(uint);                     //001CAD78
  static void Shutdown();                     //00267664
  static CFTTRandomNumberGenerator* s_pDefaultRNG;
};

#endif  //_CFTTRANDOM_H_